hpp-corbaserver: hpp::corbaServer::AbstractServantKey Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::corbaServer::AbstractServantKey Class Referenceabstract
Extending the bindings

Abstract class used to avoid duplication of the servants. More...

`#include <hpp/corbaserver/servant-base.hh>`

Inheritance diagram for hpp::corbaServer::AbstractServantKey:
[legend]

## Public Member Functions
virtual Server::ServantKey | getServantKey () const =0
virtual bool | expired () const =0

## Detailed Description

Abstract class used to avoid duplication of the servants.

## Member Function Documentation

## ◆ expired()

virtual bool hpp::corbaServer::AbstractServantKey::expired | ( |  | ) | const
| pure virtual

Implemented in hpp::corbaServer::ServantBase< T, _Storage >, hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >, hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >, hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >, hpp::corbaServer::ServantBase< hpp::core::SteeringMethod, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConnectedComponent, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConfigValidation, _Storage >, hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >, hpp::corbaServer::ServantBase< core::Distance, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathPlanner, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >, hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >, hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >, hpp::corbaServer::ServantBase< core::Problem, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >, hpp::corbaServer::ServantBase< core::PathValidation, _Storage >, hpp::corbaServer::ServantBase< core::Path, _Storage >, hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >, and hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >.

## ◆ getServantKey()

virtual Server::ServantKey hpp::corbaServer::AbstractServantKey::getServantKey | ( |  | ) | const
| pure virtual

Implemented in hpp::corbaServer::AbstractServantBase< T >.

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/servant-base.hh